#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

extern "C" void initialize_libc()
{
    close(0);  // If it was already open, close it
    close(1);  // If it was already open, close it
    errno = 0; // If it was not open. the kernel will throw us EBADF. Let's ignore that, since we don't care.
    __stderr = fopen("/dev/console", "rw");
    if (!stderr) exit(errno);
    __stdout = fopen("/dev/console", "rw");
    if (!stdout) exit(errno);
    clearerr(__stderr);
    clearerr(__stdout);
}